Skip to main content

Get account modules

GET 

/accounts/:address/modules

Returns the modules for an account address. You can specify the ledger version of the transaction; if no ledger version is specified, the latest ledger version is returned. Aptos nodes prune account state history according to a configurable retention period. If the requested ledger version has been pruned, the server responds with a 410 status code.

Notice regarding some API calls

As the latest version of the Aptos node client excludes the Legacy Indexer, Indexer-related errors may occur when making some API calls. We are currently reviewing options to restore this functionality or provide alternative APIs, and will provide updates as related measures are completed. We apologize for any inconvenience.

Request

Responses

Successful Response

Response Headers
    X-APTOS-BLOCK-HEIGHT

    Current block height of the chain

    X-APTOS-CHAIN-ID

    Chain ID of the current chain

    X-APTOS-EPOCH

    Current epoch of the chain

    X-APTOS-LEDGER-OLDEST-VERSION

    Oldest unpruned ledger version of the chain

    X-APTOS-LEDGER-TIMESTAMPUSEC

    Current timestamp of the chain

    X-APTOS-LEDGER-VERSION

    Current ledger version of the chain

    X-APTOS-OLDEST-BLOCK-HEIGHT

    Oldest unpruned block height of the chain

    X-APTOS-CURSOR

    Cursor for the next page

    X-APTOS-GAS-USED

    Amount of gas actually used for transaction execution